Bug 400011 - AmaroK (and X server) crash when changing analyzer
AmaroK (and X server) crash when changing analyzer
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
8
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-26 14:44 EST by Christoph Kindl
Modified: 2009-01-09 02:29 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:29:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
console output (734 bytes, text/plain)
2007-11-26 14:44 EST, Christoph Kindl
no flags Details
X-Server configuration file (841 bytes, application/octet-stream)
2007-11-27 10:08 EST, Christoph Kindl
no flags Details
first Xorg.log File (56.22 KB, text/plain)
2007-11-27 10:12 EST, Christoph Kindl
no flags Details
last Xorg.log file (56.90 KB, application/octet-stream)
2007-11-27 10:13 EST, Christoph Kindl
no flags Details
Xorg.0.log (after autodetection of X) (56.14 KB, text/plain)
2007-11-27 14:13 EST, Christoph Kindl
no flags Details
Xorg.0.log.old (after autodetection of X) (74.01 KB, application/octet-stream)
2007-11-27 14:14 EST, Christoph Kindl
no flags Details
Xorg.setup.log (after autodetection of X) (1.79 KB, text/plain)
2007-11-27 14:15 EST, Christoph Kindl
no flags Details

  None (edit)
Description Christoph Kindl 2007-11-26 14:44:16 EST
Description of problem:

AmaroK crashes when browsing through all analyzers.

Version-Release number of selected component (if applicable):

KDE: 3.5.8-7.fc8 Fedora
Amarok: 1.4.7

How reproducible:

Just click through the analyzer graphs and before the first appears (or should
appear) again AmaroK crashes.

Steps to Reproduce:
1. start AmaroK over amarok.desktop file
2. change the analyzer (beneath the playlist) a few times
3. before the first analyzer style appears again, AmaroK crashes

OR
1. start amarok (or amarokapp) in a gnome-terminal
2. click through all analyzer
3. Both, AmaroK & X server crash.
  
Actual results:

AmaroK (and X server) crashes

Expected results:

AmaroK should not crash, but that's not tragic. X should remain running!

Additional info: use F8 Gnome and AmaroK(installed with yum from fedora repo)
Comment 1 Christoph Kindl 2007-11-26 14:44:16 EST
Created attachment 269251 [details]
console output
Comment 2 Rex Dieter 2007-11-26 14:58:13 EST
By all accounts, looks like a X-driver/opengl issue.
What video hardware/chipset and X driver are you using?
Comment 3 Christoph Kindl 2007-11-26 15:04:59 EST
ATI Mobility X700
and the "radeon" driver

btw. (if it's important): I'm running Compiz
Comment 4 Matěj Cepl 2007-11-27 09:58:26 EST
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 5 Christoph Kindl 2007-11-27 10:08:27 EST
Created attachment 269791 [details]
X-Server configuration file

This is my current xorg.conf file
Comment 6 Christoph Kindl 2007-11-27 10:12:09 EST
Created attachment 269801 [details]
first Xorg.log File
Comment 7 Christoph Kindl 2007-11-27 10:13:24 EST
Created attachment 269811 [details]
last Xorg.log file
Comment 8 Christoph Kindl 2007-11-27 10:16:25 EST
OK, here are my xorg.conf file and my Xorg.*.log files

I will post the auto-configuration Xorg.log file later on because I need my
laptop at the moment.
Comment 9 Matěj Cepl 2007-11-27 10:23:15 EST
Thanks a lot. Waiting for the other log.
Comment 10 Christoph Kindl 2007-11-27 14:11:30 EST
So, i have renamed my xorg.conf file, so i had to reconfigure the xserver; here
the lastest X Log files...
Comment 11 Christoph Kindl 2007-11-27 14:13:00 EST
Created attachment 270091 [details]
Xorg.0.log (after autodetection of X)
Comment 12 Christoph Kindl 2007-11-27 14:14:44 EST
Created attachment 270101 [details]
Xorg.0.log.old (after autodetection of X)
Comment 13 Christoph Kindl 2007-11-27 14:15:52 EST
Created attachment 270111 [details]
Xorg.setup.log (after autodetection of X)
Comment 14 Hin-Tak Leung 2008-03-10 20:18:34 EDT
Hmm, I just filed an X server crash against another KDE application...
application misbehave is unforfortunate, but the X server should stay up...
Comment 15 Bug Zapper 2008-11-26 03:42:28 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Bug Zapper 2009-01-09 02:29:08 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.